<?
/**
 * VoiceOne Webservices Registrations
 *  
 * @package voiceone_webservices
 * @subpackage Rule
 */
$server->register(
    'getRule',
    array('id'=>'xsd:int','type'=>'xsd:int',),
    array('return'=>'tns:RuleArray'),
    $NAMESPACE);
$server->register(
    'putRule',
    array('id'=>'tns:Rule'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delRule',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getOutgoingRule',
    array('id'=>'xsd:int'),
    array('return'=>'tns:OutgoingRuleArray'),
    $NAMESPACE);
$server->register(
    'putOutgoingRule',
    array('id'=>'tns:OutgoingRule'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delOutgoingRule',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getIncomingRule',
    array('id'=>'xsd:int'),
    array('return'=>'tns:IncomingRuleArray'),
    $NAMESPACE);
$server->register(
    'putIncomingRule',
    array('id'=>'tns:IncomingRule'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delIncomingRule',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'moveRule',
    array('id'=>'xsd:int', 'direction'=>'xsd:int', 'type'=>'xsd:int', 'top'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
?>